# Uses of Interface
org.pentaho.reporting.libraries.formula.typing.ArrayCallback

Packages that use ArrayCallback
Package
Description
org.pentaho.reporting.libraries.formula.lvalues
org.pentaho.reporting.libraries.formula.typing
org.pentaho.reporting.libraries.formula.typing.sequence

## Uses of ArrayCallback in org.pentaho.reporting.libraries.formula.lvalues

Methods in org.pentaho.reporting.libraries.formula.lvalues that return ArrayCallback
Modifier and Type
Method
Description
`ArrayCallback`
DefaultDataTable.`getAsArray()`

## Uses of ArrayCallback in org.pentaho.reporting.libraries.formula.typing

Classes in org.pentaho.reporting.libraries.formula.typing that implement ArrayCallback
Modifier and Type
Class
Description
`class`
`StaticArrayCallback`
An array call-back that copies all contents of the source into a private buffer.
Methods in org.pentaho.reporting.libraries.formula.typing that return ArrayCallback
Modifier and Type
Method
Description
`ArrayCallback`
DefaultTypeRegistry.`convertToArray(Type type, Object value)`
`ArrayCallback`
TypeRegistry.`convertToArray(Type type, Object value)`
Constructors in org.pentaho.reporting.libraries.formula.typing with parameters of type ArrayCallback
Modifier
Constructor
Description
``
`StaticArrayCallback(ArrayCallback source)`

## Uses of ArrayCallback in org.pentaho.reporting.libraries.formula.typing.sequence

Constructors in org.pentaho.reporting.libraries.formula.typing.sequence with parameters of type ArrayCallback
Modifier
Constructor
Description
``
`AnyNumberSequence(ArrayCallback array, FormulaContext context)`
Number sequence bounded to an array.
``
`AnySequence(ArrayCallback array, FormulaContext context)`
``
`DefaultNumberSequence(ArrayCallback array, FormulaContext context)`
Number sequence bounded to an array.